<template>
    <div>
        <!-- <h1>{{ name }}</h1>
        <p>{{ tasks[0].id }}</p>
        <p>{{ tasks[1].title }}</p> -->
        <p>{{ firstName }} {{ lastName }}</p>
        <p>{{ fullName }}</p>
        <!-- <hr> -->
        <!-- <ComponentA/>
        <ComponentB/>
        <ComponentC/> -->
    </div>
</template>

<script>
    // import ComponentA from './ComponentA.vue';
    // import ComponentB from './ComponentB.vue';
    // import ComponentC from './ComponentC.vue';
    export default {
        name:'GreetingMessage',
        // props:['first_name','last_name','fullName'],
        props:{
            firstName: String,
            lastName: String,
            fullName: {
                type:String,
                // default: 'unknow',
                required:false,
            },
        },
        components:{
            
            // ComponentA,
            // ComponentB,
            // ComponentC,
        },
            data() {
                return {
                    name: 'Jimmy Seesang',
                    tasks:[
                        {id:1,title:'Buy mile',isFav:false},
                        {id:2,title:'Play Games',isFav:false},
                    ]
                }
            },
    }
</script>